# $Revision: 1.316 $, $Date: 2009/09/12 11:09:55 $
# TODO:
# - package contribs?
# - complete & validate descriptions
# - trigger for removed ldbm backend
# - trigger for removed overlays (denyop,lastmod)
# - ldap.conf.5 describes /etc/openldap/ldap.conf not /etc/ldap.conf, rename to ldaprc.5 ?
#
# Conditional build:
%bcond_without	exchange	# hacked version of library for Evolution Exchange support
%bcond_with	krb5		# build with MIT Kerberos instead of Heimdal
%bcond_without	odbc		# disable sql backend
%bcond_with	ndb		# enable MySQL NDB Cluster backend
%bcond_without	perl		# disable perl backend
%bcond_without	sasl 		# don't build cyrus sasl support
%bcond_without	slp		# disable SLP support
%bcond_with	system_db	# system Berkeley DB
#
# Never change or update Berkeley DB, it's there to isolate OpenLDAP
# from any future changes to the system-wide Berkeley DB library.
%define		db_version		4.6.21
#
%define evolution_exchange_prefix	%{_libdir}/evolution-openldap
%define evolution_exchange_includedir	%{evolution_exchange_prefix}/include
%define evolution_exchange_libdir	%{evolution_exchange_prefix}/%{_lib}

Summary:	Lightweight Directory Access Protocol clients/servers
Summary(es.UTF-8):	Clientes y servidor para LDAP
Summary(pl.UTF-8):	Klienci Lightweight Directory Access Protocol
Summary(pt_BR.UTF-8):	Clientes e servidor para LDAP
Summary(ru.UTF-8):	Образцы клиентов LDAP
Summary(uk.UTF-8):	Зразки клієнтів LDAP
Name:		openldap
Version:	2.4.17
Release:	5
License:	OpenLDAP Public License
Group:		Networking/Daemons
Source0:	ftp://ftp.openldap.org/pub/OpenLDAP/openldap-release/%{name}-%{version}.tgz
# Source0-md5:	5e82103780f8cfc2b2fbd0f77c47c158
Source1:	http://download.oracle.com/berkeley-db/db-%{db_version}.tar.gz
# Source1-md5:	718082e7e35fc48478a2334b0bc4cd11
Source2:	ldap.init
Source3:	%{name}.sysconfig
Source4:	%{name}.conf
Source5:	ldap.conf
Source100:	%{name}-README.evolution
Patch0:		%{name}-make_man_link.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-fast.patch
Patch3:		%{name}-cldap.patch
Patch4:		%{name}-ldapi_FHS.patch
Patch5:		%{name}-install.patch
Patch6:		%{name}-backend_libs.patch
Patch7:		%{name}-perl.patch
Patch8:		%{name}-pic.patch
Patch9:		%{name}-ltinstall-mode.patch
Patch10:	%{name}-whowhere.patch
Patch11:	%{name}-ldaprc.patch
Patch13:	%{name}-nosql.patch
Patch14:	%{name}-smbk5pwd.patch
Patch15:	%{name}-ldapc++.patch
Patch16:	%{name}-pie.patch
Patch17:	%{name}-gethostbyXXXX_r.patch
Patch18:	%{name}-smbk5pwd-heimdal.patch
Patch19:	%{name}-smbk5pwd-shadowLastChange.patch
Patch20:	%{name}-nssov.patch
Patch21:	%{name}-auditlog-modify.patch
# Patch for the evolution library
Patch100:	%{name}-ntlm.diff
URL:		http://www.openldap.org/
BuildRequires:	autoconf
BuildRequires:	automake
%if %{with sasl}
BuildRequires:	cyrus-sasl-devel >= 2.1.15
BuildRequires:	libicu-devel
%endif
%{?with_system_db:BuildRequires:	db-devel >= 4.2}
BuildRequires:	gcc >= 5:3.4
BuildRequires:	groff
%if %{with krb5}
BuildRequires:	krb5-devel
%else
BuildRequires:	heimdal-devel
%endif
BuildRequires:	libltdl-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libwrap-devel
%{?with_ndb:BuildRequires:	mysql-devel}
%{?with_slp:BuildRequires:	openslp-devel}
BuildRequires:	openssl-devel >= 0.9.7d
%{?with_perl:BuildRequires:	perl-devel}
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	uname(release) >= 2.6
%{?with_odbc:BuildRequires:	unixODBC-devel}
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	openldap-clients
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_sbindir}
%define		_localstatedir	/var/lib

%undefine	configure_cache

%description
LDAP servers and clients, as well as interfaces to other protocols.
Note that this does not include the slapd interface to X.500 and
therefore does not require the ISODE package.

The package includes:
- libraries implementing the LDAP protocol,
- utilities, tools, and sample clients.

%description -l es.UTF-8
Cliente y servidor LDAP.

%description -l pl.UTF-8
Serwery i klienci LDAP jak i interfejsy do innych protokołów. Wiedz,
że pakiet ten nie zawiera interfejsu slapd to X.500 i dlatego nie
wymaga pakietu ISODE.

Pakiet ten zawiera:
- biblioteki implementujące obsługę protokołu LDAP,
- dodatkowe narzędzia i przykładowe aplikacje klienckie LDAP.

%description -l pt_BR.UTF-8
OpenLDAP é um conjunto de ferramentas e aplicações para construir um
servidor de diretórios.

O conjunto completo contém:
- bibliotecas implementando o protocolo LDAP utilitários,
- ferramentas e clientes.

Este pacote contém apenas as bibliotecas usadas por alguns programas.
Você provavelmente também vai querer instalar o pacote
openldap-client.

%description -l ru.UTF-8
Образцы клиентов, поставляемые с LDAP.

%description -l uk.UTF-8
Зразки клієнтів, що поставляються з LDAP.

%package nss-config
Summary:	Common configuration for nss_ldap and pam_ldap
Summary(pl.UTF-8):	Wspólna konfiguracja dla nss_ldap i pam_ldap
Group:		Base

%description nss-config
Common configuration for nss_ldap and pam_ldap.

%description nss-config -l pl.UTF-8
Wspólna konfiguracja dla nss_ldap i pam_ldap.

%package libs
Summary:	LDAP shared libraries
Summary(pl.UTF-8):	Biblioteki współdzielone LDAP
Group:		Libraries
%{?with_sasl:Requires:	cyrus-sasl >= 2.1.15}
Conflicts:	openldap < 2.2.6-0.3

%description libs
LDAP shared libraries.

%description libs -l pl.UTF-8
Biblioteki współdzielone LDAP.

%package devel
Summary:	LDAP development files
Summary(es.UTF-8):	Bibliotecas de desarrollo y archivos de inclusión para OpenLDAP
Summary(pl.UTF-8):	Pliki dla developerów LDAP
Summary(pt_BR.UTF-8):	Bibliotecas de desenvolvimento e arquivos de inclusão para o OpenLDAP
Summary(ru.UTF-8):	Файлы для программирования с LDAP
Summary(uk.UTF-8):	Файли для програмування з LDAP
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
%{?with_sasl:Requires:	cyrus-sasl-devel >= 2.1.15}
Requires:	openssl-devel >= 0.9.7c
%if %{with krb5}
Requires:	krb5-devel
%else
Requires:	heimdal-devel
%endif

%description devel
Header files and libraries for developing applications that use LDAP.

%description devel -l es.UTF-8
Bibliotecas de desarrollo y archivos de inclusión de OpenLDAP.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteki konieczne do rozwoju aplikacji
używających LDAP.

%description devel -l pt_BR.UTF-8
Bibliotecas de desenvolvimento e arquivos de inclusão do OpenLDAP.
Instale este pacote se você for trabalhar com desenvolvimento em LDAP
ou desejar compilar algum programa que utilize LDAP.

%description devel -l ru.UTF-8
Хедеры и библиотеки, необходимые для разработки приложений,
использующих LDAP.

%description devel -l uk.UTF-8
Хедери та бібліотеки, необхідні для розробки програм, що
використовують LDAP.

%package static
Summary:	LDAP static libraries
Summary(pl.UTF-8):	Biblioteki statyczne LDAP
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com openldap
Summary(ru.UTF-8):	Статические библиотеки LDAP
Summary(uk.UTF-8):	Статичні бібліотеки LDAP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package includes the development libraries and header files
needed for compilation of applications that are making use of the LDAP
internals. Install this package only if you plan to develop or will
need to compile cutomized LDAP clients.

%description static -l pl.UTF-8
Biblioteki statyczne LDAP.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com openldap.

%description static -l ru.UTF-8
Статические библиотеки, необходимые для разработки приложений,
использующих LDAP.

%description static -l uk.UTF-8
Статичні бібліотеки, необхідні для розробки програм, що використовують
LDAP.

%package evolution-devel
Summary:	LDAP NTLM hack for the evolution-exchange
Summary(pl.UTF-8):	Hack NTLM dla pakietu evolution-exchange
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description evolution-devel
LDAP NTLM hack for the evolution-exchange.

%description evolution-devel -l pl.UTF-8
Hack NTLM dla pakietu evolution-exchange.

%package ldapc++
Summary:	LDAPv3 C++ Class Library
Summary(pl.UTF-8):	Biblioteka klas C++ LDAPv3
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description ldapc++
LDAPv3 C++ Class Library

%description ldapc++ -l pl.UTF-8
Biblioteka klas C++ LDAPv3.

%package ldapc++-devel
Summary:	LDAPv3 C++ Class Library development files
Summary(pl.UTF-8):	Pliki dla programistów C++ LDAPv3
Group:		Libraries
Requires:	%{name}-ldapc++ = %{version}-%{release}

%description ldapc++-devel
LDAPv3 C++ Class Library development files.

%description ldapc++-devel -l pl.UTF-8
Pliki dla programistów C++ LDAPv3.

%package ldapc++-static
Summary:	Static LDAPv3 C++ Class Library
Summary(pl.UTF-8):	Biblioteka statyczna klas C++ LDAPv3
Group:		Libraries
Requires:	%{name}-ldapc++-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description ldapc++-static
Static LDAPv3 C++ Class Library.

%description ldapc++-static -l pl.UTF-8
Biblioteka statyczna klas C++ LDAPv3.

%package backend-bdb
Summary:	BDB backend to OpenLDAP server
Summary(pl.UTF-8):	Backend BDB do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-bdb
BDB backend to slapd, the OpenLDAP server.

%description backend-bdb -l pl.UTF-8
Backend BDB do slapd - serwera OpenLDAP.

%package backend-dnssrv
Summary:	DNS SRV backend to OpenLDAP server
Summary(pl.UTF-8):	Backend DNS SRV do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-dnssrv
DNS SRV backend to slapd, the OpenLDAP server.

%description backend-dnssrv -l pl.UTF-8
Backend DNS SRV do slapd - serwera OpenLDAP.

%package backend-hdb
Summary:	HDB (Hierarchical DB) backend to OpenLDAP server
Summary(pl.UTF-8):	Backend HDB (Hierarchical DB) do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-hdb
HDB (Hierarchical DB) backend to slapd, the OpenLDAP server.

%description backend-hdb -l pl.UTF-8
Backend HDB (Hierarchical DB) do slapd - serwera OpenLDAP.

%package backend-ldap
Summary:	LDAP backend to OpenLDAP server
Summary(pl.UTF-8):	Backend LDAP do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-ldap
LDAP backend to slapd, the OpenLDAP server.

%description backend-ldap -l pl.UTF-8
Backend LDAP do slapd - serwera OpenLDAP.

%package backend-meta
Summary:	Meta backend to OpenLDAP server
Summary(pl.UTF-8):	Backend Meta do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-meta
Meta backend to slapd, the OpenLDAP server.

%description backend-meta -l pl.UTF-8
Backend Meta do slapd - serwera OpenLDAP.

%package backend-monitor
Summary:	Monitor backend to OpenLDAP server
Summary(pl.UTF-8):	Backend Monitor do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-monitor
Meta backend to slapd, the OpenLDAP server.

%description backend-monitor -l pl.UTF-8
Backend Meta do slapd - serwera OpenLDAP.

%package backend-ndb
Summary:	MySQL NDB Cluster backend to OpenLDAP server
Summary(pl.UTF-8):	Backend MySQL NDB Cluster do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-ndb
MySQL NDB Cluster backend to slapd, the OpenLDAP server.

%description backend-ndb -l pl.UTF-8
Backend MySQL NDB Cluster do slapd do serwera OpenLDAP.

%package backend-passwd
Summary:	/etc/passwd backend to OpenLDAP server
Summary(pl.UTF-8):	Backend /etc/passwd do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-passwd
/etc/passwd backend to slapd, the OpenLDAP server.

%description backend-passwd -l pl.UTF-8
Backend /etc/passwd do slapd - serwera OpenLDAP.

%package backend-perl
Summary:	Perl backend to OpenLDAP server
Summary(pl.UTF-8):	Backend Perl do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-perl
Perl backend to slapd, the OpenLDAP server.

%description backend-perl -l pl.UTF-8
Backend Perl do slapd - serwera OpenLDAP.

%package backend-relay
Summary:	Relay backend to OpenLDAP server
Summary(pl.UTF-8):	Backend przekazujący do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-overlay-rwm = %{version}-%{release}
Requires:	%{name}-servers = %{version}-%{release}

%description backend-relay
The primary purpose of this slapd(8) backend is to map a naming
context defined in a database running in the same slapd(8) instance
into a virtual naming context, with attributeType and objectClass
manipulation, if required. It requires the rwm overlay.

%description backend-relay -l pl.UTF-8
Głównym celem tego backendu slapd(8) jest odwzorowywanie kontekstów
nazw zdefiniowanych w bazie danych działającej w tej samej instancji
slapd(8) na konteksty nazw wirtualnych z modyfikowaniem attributeType
i objectClass w razie potrzeby. Wymaga nakładki rwm.

%package backend-shell
Summary:	Shell backend to OpenLDAP server
Summary(pl.UTF-8):	Backend Shell do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-shell
Shell backend to slapd, the OpenLDAP server.

%description backend-shell -l pl.UTF-8
Backend Shell do slapd - serwera OpenLDAP.

%package backend-sock
Summary:	Socket backend to OpenLDAP server
Summary(pl.UTF-8):	Backend Socket do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-sock
Socket backend to slapd, the OpenLDAP server.

%description backend-sock -l pl.UTF-8
Backend Socket do slapd - serwera OpenLDAP.

%package backend-sql
Summary:	SQL backend to OpenLDAP server
Summary(pl.UTF-8):	Backend SQL do serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description backend-sql
SQL backend to slapd, the OpenLDAP server.

%description backend-sql -l pl.UTF-8
Backend SQL do slapd - serwera OpenLDAP.

%package overlay-accesslog
Summary:	Accesslog overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka accesslog dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-accesslog
Accesslog overlay for OpenLDAP server.

%description overlay-accesslog -l pl.UTF-8
Nakładka accesslog dla serwera OpenLDAP.

%package overlay-auditlog
Summary:	Auditlog overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka auditog dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-auditlog
The Audit Logging overlay can be used to record all changes on a given
backend database to a specified log file. Changes are logged as
standard LDIF, with an additional comment header giving the timestamp
of the change and the identity of the user making the change.

%description overlay-auditlog -l pl.UTF-8
Nakładka Audit Logging może być używana do zapisywania wszystkich
zmian w danej bazie danych do podanego pliki loga. Zmiany są logowane
jako standardowy LDIF z dodatkowym nagłówkiem komentarza podającym
czas zmiany i identyfikującym użytkownika, który dokonał zmiany.

%package overlay-collect
Summary:	Collect overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka collect dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-collect
The collect overlay is used to provide a relatively coarse
implementation of RFC 3671 collective attributes.

%description overlay-collect -l pl.UTF-8
Nakładka collect jest używana do dostarczenia atrybutów wg RFC 3671.

%package overlay-constraint
Summary:	Constraint overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka constraint dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-constraint
This overlay limits the values which can be placed into an attribute,
over and above the limits placed by the schema. It traps only LDAP
adds and modify commands (and only seeks to control the add and modify
value mods of a modify)

%description overlay-constraint -l pl.UTF-8
Ta nakładka ogranicza wartości, które można umieszczać w atrybucie,
ponad limity umieszczone w schemacie. Przechwytuje jedynie polecenia
dodawania i modyfikowania LDAP (i kontroluje tylko wartości dodawania
i modyfikowania).

%package overlay-dds
Summary:	Dynamic Directory Services overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka DDS dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-dds
The dds overlay implements dynamic objects as per RFC 2589. The name
dds stands for Dynamic Directory Services. It allows to define dynamic
objects, characterized by the dynamicObject objectClass.

%description overlay-dds -l pl.UTF-8
Nakładka dds implementuje obiekty dynamicznie zgodnie z RFC 2589.
Nazwa dds oznacza Dynamic Directory Services (dynamiczne usługi
katalogowe). Pozwala definiować obiekty dynamiczne, opisywane przez
klasę dynamicObject objectClass.

%package overlay-deref
Summary:	Dereference Control overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka Dereference Control dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-deref
Dereference Control overlay for OpenLDAP server.

%description overlay-deref -l pl.UTF-8
Nakładka Dereference Control dla serwera OpenLDAP.

%package overlay-dyngroup
Summary:	Dyngroup overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka dynamicznych grup dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-dyngroup
This overlay extends the Compare operation to detect members of a
dynamic group. It has no effect on any other operations. It must be
configured with a pair of attributes to trigger on, e.g. attrpair
member memberURL will cause compares on "member" to trigger a compare
on "memberURL".

%description overlay-dyngroup -l pl.UTF-8
Ta nakładka rozszerza operację Compare, aby wykrywała członików grupy
dynamicznej. Nie wpływa na żadne inne operacje. Musi być
skonfigurowana parą atrybutów, które mają ją wyzwalać, np. attrpair
member memberURL spowoduje, że porównania na "memberu" wyzwolą
porównania na "memberURL".

%package overlay-dynlist
Summary:	Dynnamic list overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka dynamicznych list dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-dynlist
The dynlist overlay allows expansion of dynamic groups and more.

%description overlay-dynlist -l pl.UTF-8
Nakładka dynlist pozwala na rozwijanie dynamicznych grup i inne
operacje.

%package overlay-memberof
Summary:	Reverse Group Membership overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka memberof dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-memberof
The memberof overlay allows automatic reverse group membership
maintenance. Any time a group entry is modified, its members are
modified as appropriate in order to keep a DN-valued "is member of"
attribute updated with the DN of the group.

%description overlay-memberof -l pl.UTF-8
Nakładka memberof pozwala automatycznie utrzymywać odwrotne
członkostwo grup. Zawsze przy modyfikacji wpisu grupy jej członkowie
są modyfikowani w odpowiedniej kolejności, aby utrzymać opisany w DN
atrybut "jest członkiem grupy", uaktualniany wraz z DN grupy.

%package overlay-nssov
Summary:	NSS overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka NSS dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-nssov
The nssov overlay handles NSS lookup requests through a local
Unix Domain socket. It uses the same IPC protocol as Arthur de Jong's
nss-ldapd.

%description overlay-nssov -l pl.UTF-8
Nakładka nssov obsługuje żądania wyszukiwania NSS poprzez lokalne
gniazdo Unix Domain. Używa tego samego protokołu IPC co nss-ldapd
Arthura de Jong.

%package overlay-pcache
Summary:	Proxy cache overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka proxy cache dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-pcache
The proxy cache overlay allows caching of LDAP search requests
(queries) in a local database.

%description overlay-pcache -l pl.UTF-8
Nakładka proxy cache pozwalająca buforować zapytania LDAP w lokalnej
bazie.

%package overlay-ppolicy
Summary:	Password Policy overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka do polityki haseł dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-ppolicy
The ppolicy overlay is an implementation of the most recent IETF
Password Policy proposal for LDAP. When instantiated, it intercepts,
decodes and applies specific password policy controls to overall use
of a backend database, changes to user password fields, etc.

%description overlay-ppolicy -l pl.UTF-8
Nakładka ppolicy jest implementacją najnowszej propozycji IETF
Password Policy dla LDAP. Kiedy zostanie użyta, przechwytuje, dekoduje
i aplikuje określone regulacje polityki haseł do ogólnego używania
bazy danych, zmiany pól haseł użytkowników itp.

%package overlay-refint
Summary:	Referential Integrity overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka sprawdzają integralność odwołań dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-refint
The Referential Integrity overlay can be used to maintain the
cohesiveness of a schema which utilizes reference attributes.

%description overlay-refint -l pl.UTF-8
Nakładka Referential Integrity może być używana do utrzymywania
spójności schematu wykorzystującego atrybuty referencji.

%package overlay-retcode
Summary:	Return code overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka obsługująca zwracane wartości dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-retcode
The retcode overlay to slapd is useful to test the behavior of clients
when server-generated erroneous and/or unusual responses occur, e.g.
error codes, referrals, excessive response times and so on.

%description overlay-retcode -l pl.UTF-8
Nakładka retcode dla slapd jest przydatna do sprawdzania zachowania
klientów w przypadku wystąpienia wygenerowanych przez serwer błędnych
i/lub nienormalnych odpowiedzi, np. kodów błędów, odniesień, długich
czasów odpowiedzi itp.

%package overlay-rwm
Summary:	Rewrite/remap overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka mapująca dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-rwm
The rwm overlay performs basic DN/data rewrite and
object-Class/attributeType mapping. Its usage is mostly intended to
provide virtual views of existing data either remotely, in conjunction
with the proxy backend or locally, in conjunction with the relay
backend.

%description overlay-rwm -l pl.UTF-8
Nakładka rwm wykonuje podstawowe przepisywanie DN na dane i
odwzorowywanie klas obiektów na attributeType. Jej zastosowania to
przede wszystkim dostarczanie wirtualnych widoków danych istniejących
albo zdalnie, w połączeniu z backendem proxy, albo lokalnie, w
połączeniu z backendem relay.

%package overlay-seqmod
Summary:	Sequenced modifies overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka seqmod dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-seqmod
This overlay serializes concurrent attempts to modify a single entry.

%description overlay-seqmod -l pl.UTF-8
Ta nakładka serializuje jednoczesne próby zmodyfikowania tego samego
wpisu.

%package overlay-smbk5pwd
Summary:	smbk5pwd overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka smbk5pwd dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-smbk5pwd
smbk5pwd overlay extends the PasswordModify Extended Operation to
update Kerberos keys and Samba password hashes for an LDAP user.

%description overlay-smbk5pwd -l pl.UTF-8
Nakładka smbk5pwd rozszerza rozszerzoną operację PasswordModify o
uaktualnianie kluczy Kerberosa i skrótów haseł Samby dla użytkownika
LDAP.

%package overlay-syncprov
Summary:	Syncrepl Provider overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka Syncrepl Provider dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-syncprov
The Syncrepl Provider overlay implements the provider-side support for
syncrepl replication, including persistent search functionality. The
overlay can be used with any backend that maintains entryCSN and
entryUUID attributes for its entries. It also creates a contextCSN
attribute in the root entry of the database.

%description overlay-syncprov -l pl.UTF-8
Nakładka SyncRepl Provider implementuje obsługę replikacji syncrepl po
stronie dostarczyciela, włącznie z ciągłością funkcjonalności
wyszukiwania. Nakładka może być używana z dowolnym backendem
utrzymującym atrybuty entryCSN i entryUUID dla swoich wpisów. Tworzy
także atrybut contextCSN w głównym elemencie bazy.

%package overlay-translucent
Summary:	Translucent Proxy overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka Translucent Proxy dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-translucent
The Translucent Proxy overlay can be used with a backend database such
as slapd-bdb(5) to create a "translucent proxy". Entries retrieved
from a remote LDAP server may have some or all attributes overridden,
or new attributes added, by entries in the local database before being
presented to the client.

%description overlay-translucent -l pl.UTF-8
Nakładka Translucent Proxy może być używana wraz z bazą danych taką
jak slapd-bdb(5) do stworzenia "przezroczystego proxy". Wpisy
otrzymane ze zdalnego serwera LDAP mogą mieć nadpisane niektóre lub
wszystkie atrybuty, albo dodane nowe atrybuty poprzez wpisy w lokalnej
bazie danych przed przekazaniem do klienta.

%package overlay-unique
Summary:	Uniqueness overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka sprawdzająca unikatowość dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-unique
The Attribute Uniqueness overlay can be used to enforce the uniqueness
of some or all attributes within a subtree.

%description overlay-unique -l pl.UTF-8
Nakładka sprawdzająca unikatowość służy do wymuszania unikatowości
atrybutów w poddrzewie LDAP.

%package overlay-valsort
Summary:	Valsort overlay for OpenLDAP server
Summary(pl.UTF-8):	Nakładka valsort dla serwera OpenLDAP
Group:		Networking/Daemons
Requires(post,preun):	sed >= 4.0
Requires:	%{name}-servers = %{version}-%{release}

%description overlay-valsort
This overlay sorts the values of multi-valued attributes when
returning them in a search response.

%description overlay-valsort -l pl.UTF-8
Ta nakładka sortuje wartości wielowartościowych atrybutów przy
zwracaniu ich jako odpowiedź przy wyszukiwaniu.

%package servers
Summary:	LDAP servers
Summary(pl.UTF-8):	Serwery LDAP
Summary(pt_BR.UTF-8):	Arquivos para o servidor OpenLDAP
Summary(ru.UTF-8):	Сервера LDAP
Summary(uk.UTF-8):	Сервера LDAP
Group:		Networking/Daemons
Requires(post):	/usr/sbin/usermod
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getent
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	textutils
Requires:	%{name} = %{version}-%{release}
Requires:	/sbin/chkconfig
Requires:	rc-scripts
Requires:	uname(release) >= 2.6
Suggests:	%{name}-backend-hdb = %{version}-%{release}
Provides:	group(slapd)
Provides:	user(slapd)
Obsoletes:	openldap-backend-ldbm
Obsoletes:	openldap-overlay-denyop
Obsoletes:	openldap-overlay-glue
Obsoletes:	openldap-overlay-lastmod
Conflicts:	kernel24
Conflicts:	kernel24-smp
# for the posttrans scriptlet, conflicts because in vserver environment rpm package is not installed.
Conflicts:	rpm < 4.4.2-0.2

%description servers
The openldap-server package contains the slapd daemon which is
responsible for handling the database and client queries.

Install this package if you want to setup an OpenLDAP-2.x server.

You will also need some backend for server, so install some
openldap-backend package. The bdb backend is recommended.

%description servers -l pl.UTF-8
Ten pakiet zawiera demona slapd odpowiadającego za obsługę bazy danych
i zapytania klientów.

Aby uruchomić serwer OpenLDAP 2.x należy zainstalować ten pakiet.

Potrzebny też jest jakiś backend dla serwera, dlatego należy
zainstalować odpowiedni pakiet openldap-backend. Zalecany jest backend
bdb.

%description servers -l pt_BR.UTF-8
O pacote openldap-server contém o servidor slapd que é responsável por
receber as requisições dos clientes e por manter a base de dados do
diretório.

O conjunto completo contém:
- servidor LDAP (slapd),

Instale este pacote se você desejar executar um servidor OpenLDAP.

%description servers -l ru.UTF-8
Сервера (демоны), поставляемые с LDAP.

%description servers -l uk.UTF-8
Сервера (демони), що поставляються з LDAP.

%prep
%setup -q -c %{!?with_system_db:-a1}
cd %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch13 -p1
%if %{with krb5}
%patch14 -p1
%else
%patch18 -p1
%endif
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch19 -p0
%patch20 -p1
%patch21 -p1

ln -s ../../../contrib/slapd-modules/smbk5pwd/smbk5pwd.c servers/slapd/overlays/smbk5pwd.c
cd ..

%if %{without system_db}
install -d db-%{db_version}/build-rpm
%endif

%if %{with exchange}
# Set up a build tree for a static version of libldap with the hooks for the
# non-standard NTLM bind type which is needed to connect to Win2k GC servers
# (Win2k3 supports SASL with DIGEST-MD5, so this shouldn't be needed for those
# servers, though as of version 1.4 the exchange doesn't try SASL first).
if ! cp -al %{name}-%{version} evo-%{name}-%{version} ; then
	rm -fr evo-%{name}-%{version}
	cp -a %{name}-%{version} evo-%{name}-%{version}
fi
cd evo-%{name}-%{version}
%patch100 -p0
%endif

%build
%if %{without system_db}
dbdir=`pwd`/db-instroot
cd db-%{db_version}/build-rpm

CC="%{__cc}"
CXX="%{__cxx}"
CFLAGS="%{rpmcflags}"
CXXFLAGS="%{rpmcflags} -fno-implicit-templates"
LDFLAGS="%{rpmcflags} %{rpmldflags}"
export CC CXX CFLAGS CXXFLAGS LDFLAGS

../dist/%configure \
	--disable-compat185 \
	--disable-dump185 \
	--disable-java \
	--disable-tcl \
	--disable-cxx \
	--with-pic \
	--disable-static \
	--enable-shared \
	--with-uniquename=_openldap \
	--prefix=${dbdir} \
	--exec-prefix=${dbdir} \
	--bindir=${dbdir}/bin \
	--includedir=${dbdir}/include \
	--libdir=${dbdir}/%{_lib}

%{__make} \
	libdb_base=libslapd_db \
	libso_base=libslapd_db
%{__make} install \
	libdb_base=libslapd_db \
	libso_base=libslapd_db \
	strip="false"
ln -sf libslapd_db.so ${dbdir}/%{_lib}/${subdir}/libdb.so

cd ../..
%endif

cd %{name}-%{version}

CPPFLAGS="%{!?with_system_db:-I${dbdir}/include -D__lock_getlocker=__lock_getlocker_openldap }-I/usr/include/ncurses"
CFLAGS="%{rpmcflags} $CPPFLAGS -D_REENTRANT -fPIC -D_GNU_SOURCE"
CXXFLAGS="%{rpmcflags} $CPPFLAGS -D_REENTRANT -fPIC"
LDFLAGS="%{rpmcflags} %{rpmldflags}%{!?with_system_db: -L${dbdir}/%{_lib}}"
export CFLAGS CPPFLAGS CXXFLAGS LDFLAGS
%if %{without system_db}
export LD_LIBRARY_PATH=${dbdir}/%{_lib}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%endif

%{__libtoolize} --install
%{__aclocal}
%{__autoconf}
%configure \
	--enable-dynamic \
	--enable-syslog \
	--enable-ipv6 \
	--enable-local \
	--enable-slapd \
	--enable-dynacl \
	--enable-aci \
	--enable-crypt \
	--enable-lmpasswd \
	--enable-modules \
	--enable-rewrite \
	--enable-rlookups \
	--enable-slapi \
%if %{with sasl}
	--with-cyrus-sasl \
	--enable-spasswd \
%else
	--without-cyrus-sasl \
%endif
%if %{with slp}
	--enable-slp \
%else
	--disable-slp \
%endif
	--enable-wrappers \
	--enable-bdb=mod \
	--enable-dnssrv=mod \
	--enable-hdb=mod \
	--enable-ldap=mod \
	--enable-meta=mod \
	--enable-monitor=mod \
%if %{with ndb}
	--enable-ndb=mod \
%endif
	--enable-null \
	--enable-passwd=mod \
%if %{with perl}
	--enable-perl=mod \
%endif
	--enable-relay=mod \
	--enable-shell=mod \
	--enable-sock=mod \
%if %{with odbc}
	--enable-sql=mod \
	--with-odbc=unixodbc \
%endif
	--enable-overlays=mod \
	--with-threads \
	--with-tls \
	--with-yielding-select \
	--with-gssapi \
	--with-mp=longlong

%{__make} -j1 depend
%{__make}

%{__make} -j1 -C contrib/slapd-modules/nssov \
	OPT="%{rpmcflags}"

install -d libs
for d in liblber libldap libldap_r ; do
	ln -sf ../libraries/$d/.libs/$d.la libs/$d.la
	ln -sf ../libraries/$d/.libs/$d.so libs/$d.so
done

__topdir=`pwd`
%if %{with sasl}
cd contrib/ldapc++
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--with-libldap=$__topdir/libs \
	--with-ldap-includes=$__topdir/include
%{__make}
%endif

%if %{with exchange}
# Build evolution-specific clients just as we would normal clients,
# except with a different installation directory in mind
# and no shared libraries.
cd ../../../evo-%{name}-%{version}

%{__libtoolize} --install
%{__aclocal}
%{__autoconf}
%configure \
	--includedir=%{evolution_exchange_includedir} \
	--libdir=%{evolution_exchange_libdir} \
	--disable-dynamic \
	--disable-slapd \
	--disable-shared \
	--enable-static \
	--enable-syslog \
	--enable-ipv6 \
	--enable-local \
	--enable-dynacl \
	--enable-aci \
	--enable-crypt \
	--enable-lmpasswd \
	--enable-modules \
	--enable-rewrite \
	--enable-rlookups \
	--enable-slapi \
%if %{with sasl}
	--with-cyrus-sasl \
	--enable-spasswd \
%else
	--without-cyrus-sasl \
%endif
%if %{with slp}
	--enable-slp \
%else
	--disable-slp \
%endif
	--enable-wrappers \
	--enable-backends=no \
	--enable-overlays=no \
%if %{with odbc}
	--with-odbc=unixodbc \
%endif
	--with-threads \
	--with-tls \
	--with-yielding-select \
	--with-gssapi \
	--with-mp=longlong

%{__make} -j1 depend
%{__make}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d},/var/lib/openldap-data} \
	$RPM_BUILD_ROOT/var/run/slapd \
	$RPM_BUILD_ROOT%{_datadir}/openldap/schema \
	$RPM_BUILD_ROOT{%{_sbindir},%{_libdir}}

%if %{with exchange}
# Install evolution hack first and remove everything but devel stuff
%{__make} -C evo-%{name}-%{version} install \
	DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT{%{_sysconfdir}/openldap,%{_bindir},%{_mandir}}/*
install %{SOURCE100} $RPM_BUILD_ROOT%{evolution_exchange_prefix}/README.evolution
%endif

%if %{without system_db}
dbdir=`pwd`/db-instroot
cd db-instroot
install -m755 %{_lib}/libslapd_db-*.*.so $RPM_BUILD_ROOT%{_libdir}
cd bin
for binary in db_* ; do
	install -m755 ${binary} $RPM_BUILD_ROOT%{_sbindir}/slapd_${binary}
done

cd ../..
%endif

cd %{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/openldap/*.a

sed -e "s|/usr/local/libexec/openldap|%{_libdir}/%{name}|" contrib/slapd-modules/nssov/.libs/nssov.la \
	> $RPM_BUILD_ROOT/%{_libdir}/%{name}/nssov.la
install contrib/slapd-modules/nssov/.libs/nssov.so.0.0.0 $RPM_BUILD_ROOT/%{_libdir}/%{name}
ln -s nssov.so.0.0.0 $RPM_BUILD_ROOT/%{_libdir}/%{name}/nssov.so.0
ln -s nssov.so.0.0.0 $RPM_BUILD_ROOT/%{_libdir}/%{name}/nssov.so

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/ldap
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/ldap

# Config for openldap library
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/openldap/ldap.conf
# Config for nss_ldap and pam_ldap
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/ldap.conf

echo "localhost" > $RPM_BUILD_ROOT%{_sysconfdir}/openldap/ldapserver

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/openldap/{*.{default,example},schema/README}

# Standard schemas should not be changed by users
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/openldap/schema/* $RPM_BUILD_ROOT%{_datadir}/openldap/schema

# create slapd.access.conf
echo "# This is a good place to put slapd access-control directives" > \
	$RPM_BUILD_ROOT%{_sysconfdir}/openldap/slapd.access.conf

# create local.schema
echo "# This is a good place to put your schema definitions " > \
	$RPM_BUILD_ROOT%{_sysconfdir}/openldap/schema/local.schema

%if %{with sasl}
%{__make} -C contrib/ldapc++ install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%if %{without system_db}
find $RPM_BUILD_ROOT -name \*.la | xargs sed -i -e "s|-L${dbdir}/%{_lib}||g"
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs	-p /sbin/ldconfig
%postun	libs	-p /sbin/ldconfig

%post	ldapc++	-p /sbin/ldconfig
%postun	ldapc++	-p /sbin/ldconfig

%pre servers
%groupadd -P %{name}-servers -g 93 slapd
%useradd -P %{name}-servers -u 93 -s /bin/false -g slapd -c "OpenLDAP server" -d /var/lib/openldap-data slapd

%post servers
/sbin/chkconfig --add ldap

# minimizing restarts logics. we restart server:
#
# 1. at the end of transaction. (posttrans, feature from rpm 4.4.2)
# 2. first install of module (post: $1 == 1)
# 2. uninstall of module (postun: $1 == 0)
#
# the strict internal deps between modules and
# server package are very important for all this to work.

%posttrans servers
%service ldap restart "OpenLDAP server"

%preun servers
if [ "$1" = "0" ] ; then
	%service ldap stop
	/sbin/chkconfig --del ldap || :
fi

%postun servers
if [ "$1" = "0" ]; then
	%userremove slapd
	%groupremove slapd
fi

%define	ldap_module_add() \
%{__sed} -i -e 's/^#[[:blank:]]*moduleload[[:blank:]]\\+%1[[:blank:]]*$/moduleload	%1/' %{_sysconfdir}/openldap/slapd.conf \
if [ "$1" = "1" ]; then \
	%service ldap restart "OpenLDAP server" \
fi \
%{nil}

%define	ldap_module_remove() \
if [ "$1" = "0" ]; then \
	%{__sed} -i -e 's/^[[:blank:]]*moduleload[[:blank:]]\\+%1[[:blank:]]*$/# moduleload	%1/' %{_sysconfdir}/openldap/slapd.conf \
	%service ldap restart "OpenLDAP server" \
fi \
%{nil}

%post backend-bdb
%ldap_module_add back_bdb.la

%preun backend-bdb
%ldap_module_remove back_bdb.la

%post backend-dnssrv
%ldap_module_add back_dnssrv.la

%preun backend-dnssrv
%ldap_module_remove back_dnssrv.la

%post backend-hdb
%ldap_module_add back_hdb.la

%preun backend-hdb
%ldap_module_remove back_hdb.la

%post backend-ldap
%ldap_module_add back_ldap.la

%preun backend-ldap
%ldap_module_remove back_ldap.la

%post backend-meta
%ldap_module_add back_meta.la

%preun backend-meta
%ldap_module_remove back_meta.la

%post backend-monitor
%ldap_module_add back_monitor.la

%preun backend-monitor
%ldap_module_remove back_monitor.la

%post backend-ndb
%ldap_module_add back_ndb.la

%preun backend-ndb
%ldap_module_remove back_ndb.la

%post backend-passwd
%ldap_module_add back_passwd.la

%preun backend-passwd
%ldap_module_remove back_passwd.la

%post backend-perl
%ldap_module_add back_perl.la

%preun backend-perl
%ldap_module_remove back_perl.la

%post backend-relay
%ldap_module_add back_relay.la

%preun backend-relay
%ldap_module_remove back_relay.la

%post backend-shell
%ldap_module_add back_shell.la

%preun backend-shell
%ldap_module_remove back_shell.la

%post backend-sock
%ldap_module_add back_sock.la

%preun backend-sock
%ldap_module_remove back_sock.la

%post backend-sql
%ldap_module_add back_sql.la

%preun backend-sql
%ldap_module_remove back_sql.la

%post overlay-pcache
%ldap_module_add pcache.la

%preun overlay-pcache
%ldap_module_remove pcache.la

%post overlay-accesslog
%ldap_module_add accesslog.la

%preun overlay-accesslog
%ldap_module_remove accesslog.la

%post overlay-auditlog
%ldap_module_add auditlog.la

%preun overlay-auditlog
%ldap_module_remove auditlog.la

%post overlay-collect
%ldap_module_add collect.la

%preun overlay-collect
%ldap_module_remove collect.la

%post overlay-constraint
%ldap_module_add constraint.la

%preun overlay-constraint
%ldap_module_remove constraint.la

%post overlay-dds
%ldap_module_add dds.la

%preun overlay-dds
%ldap_module_remove dds.la

%post overlay-deref
%ldap_module_add deref.la

%preun overlay-deref
%ldap_module_remove deref.la

%post overlay-dyngroup
%ldap_module_add dyngroup.la

%preun overlay-dyngroup
%ldap_module_remove dyngroup.la

%post overlay-dynlist
%ldap_module_add dynlist.la

%preun overlay-dynlist
%ldap_module_remove dynlist.la

%post overlay-memberof
%ldap_module_add memberof.la

%preun overlay-memberof
%ldap_module_remove memberof.la

%post overlay-nssov
%ldap_module_add nssov.la

%preun overlay-nssov
%ldap_module_remove nssov.la

%post overlay-ppolicy
%ldap_module_add ppolicy.la

%preun overlay-ppolicy
%ldap_module_remove ppolicy.la

%post overlay-refint
%ldap_module_add refint.la

%preun overlay-refint
%ldap_module_remove refint.la

%post overlay-retcode
%ldap_module_add retcode.la

%preun overlay-retcode
%ldap_module_remove retcode.la

%post overlay-rwm
%ldap_module_add rwm.la

%preun overlay-rwm
%ldap_module_remove rwm.la

%post overlay-smbk5pwd
%ldap_module_add smbk5pwd.la

%preun overlay-smbk5pwd
%ldap_module_remove smbk5pwd.la

%post overlay-seqmod
%ldap_module_add seqmod.la

%preun overlay-seqmod
%ldap_module_remove seqmod.la

%post overlay-syncprov
%ldap_module_add syncprov.la

%preun overlay-syncprov
%ldap_module_remove syncprov.la

%post overlay-translucent
%ldap_module_add translucent.la

%preun overlay-translucent
%ldap_module_remove translucent.la

%post overlay-unique
%ldap_module_add unique.la

%preun overlay-unique
%ldap_module_remove unique.la

%post overlay-valsort
%ldap_module_add valsort.la

%preun overlay-valsort
%ldap_module_remove valsort.la

%triggerpostun servers -- openldap-servers < 2.1.12
if [ "`/usr/bin/getent passwd slapd | cut -d: -f6`" = "/var/lib/openldap-ldbm" ]; then
	/usr/sbin/usermod -d /var/lib/openldap-data slapd
fi

%files
%defattr(644,root,root,755)
%doc %{name}-%{version}/{ANNOUNCEMENT,CHANGES,COPYRIGHT,README,LICENSE}
%doc %{name}-%{version}/doc/{drafts,rfc}
%dir %{_sysconfdir}/openldap
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/openldap/ldapserver
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/openldap/ldap.conf
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/openldap
%{_mandir}/man1/ldap*.1*
%{_mandir}/man5/ldap.conf.5*
%{_mandir}/man5/ldif.5*

%files nss-config
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ldap.conf

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblber-2.4.so.*.*.*
%attr(755,root,root) %{_libdir}/libldap-2.4.so.*.*.*
%attr(755,root,root) %{_libdir}/libldap_r-2.4.so.*.*.*
%attr(755,root,root) %{_libdir}/libslapi-2.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblber-2.4.so.2
%attr(755,root,root) %ghost %{_libdir}/libldap-2.4.so.2
%attr(755,root,root) %ghost %{_libdir}/libldap_r-2.4.so.2
%attr(755,root,root) %ghost %{_libdir}/libslapi-2.4.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblber.so
%attr(755,root,root) %{_libdir}/libldap.so
%attr(755,root,root) %{_libdir}/libldap_r.so
%attr(755,root,root) %{_libdir}/libslapi.so
%{_libdir}/liblber.la
%{_libdir}/libldap.la
%{_libdir}/libldap_r.la
%{_libdir}/libslapi.la
%{_includedir}/*.h
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/liblber.a
%{_libdir}/libldap.a
%{_libdir}/libldap_r.a
%{_libdir}/libslapi.a

%if %{with exchange}
%files evolution-devel
%defattr(644,root,root,755)
%dir %{evolution_exchange_prefix}
%dir %{evolution_exchange_includedir}
%dir %{evolution_exchange_libdir}
%{evolution_exchange_prefix}/README*
%{evolution_exchange_includedir}/*.h
%{evolution_exchange_libdir}/*.a
%endif

%files ldapc++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libldapcpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libldapcpp.so.0

%files ldapc++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libldapcpp.so
%{_libdir}/libldapcpp.la
%{_includedir}/ldapc++

%files ldapc++-static
%defattr(644,root,root,755)
%{_libdir}/libldapcpp.a

%files backend-bdb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_bdb*.so*
%{_libdir}/openldap/back_bdb.la
%{_mandir}/man5/slapd-bdb.5*

%files backend-dnssrv
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_dnssrv*.so*
%{_libdir}/openldap/back_dnssrv.la
%{_mandir}/man5/slapd-dnssrv.5*

%files backend-hdb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_hdb*.so*
%{_libdir}/openldap/back_hdb.la
%{_mandir}/man5/slapd-hdb.5*

%files backend-ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_ldap*.so*
%{_libdir}/openldap/back_ldap.la
%{_mandir}/man5/slapd-ldap.5*
%{_mandir}/man5/slapo-chain.5*

%files backend-meta
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_meta*.so*
%{_libdir}/openldap/back_meta.la
%{_mandir}/man5/slapd-meta.5*

%files backend-monitor
%defattr(644,root,root,755)
%doc %{name}-%{version}/servers/slapd/back-monitor/README
%attr(755,root,root) %{_libdir}/openldap/back_monitor*.so*
%{_libdir}/openldap/back_monitor.la
%{_mandir}/man5/slapd-monitor.5*

%if %{with ndb}
%files backend-ndb
%defattr(644,root,root,755)
%doc %{name}-%{version}/servers/slapd/back-ndb/README
%attr(755,root,root) %{_libdir}/openldap/back_ndb*.so*
%{_libdir}/openldap/back_ndb.la
%{_mandir}/man5/slapd-ndb.5*
%endif

%files backend-passwd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_passwd*.so*
%{_libdir}/openldap/back_passwd.la
%{_mandir}/man5/slapd-passwd.5*

%if %{with perl}
%files backend-perl
%defattr(644,root,root,755)
%doc %{name}-%{version}/servers/slapd/back-perl/*.pm
%attr(755,root,root) %{_libdir}/openldap/back_perl*.so*
%{_libdir}/openldap/back_perl.la
%{_mandir}/man5/slapd-perl.5*
%endif

%files backend-relay
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_relay*.so*
%{_libdir}/openldap/back_relay.la
%{_mandir}/man5/slapd-relay.5*

%files backend-shell
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_shell*.so*
%{_libdir}/openldap/back_shell.la
%{_mandir}/man5/slapd-shell.5*

%files backend-sock
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/back_sock*.so*
%{_libdir}/openldap/back_sock.la
%{_mandir}/man5/slapd-sock.5*

%if %{with odbc}
%files backend-sql
%defattr(644,root,root,755)
%doc %{name}-%{version}/servers/slapd/back-sql/docs/*
%doc %{name}-%{version}/servers/slapd/back-sql/rdbms_depend
%attr(755,root,root) %{_libdir}/openldap/back_sql*.so*
%{_libdir}/openldap/back_sql.la
%{_mandir}/man5/slapd-sql.5*
%endif

%files overlay-accesslog
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/accesslog*.so*
%{_libdir}/openldap/accesslog.la
%{_mandir}/man5/slapo-accesslog.5*

%files overlay-auditlog
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/auditlog*.so*
%{_libdir}/openldap/auditlog.la
%{_mandir}/man5/slapo-auditlog.5*

%files overlay-collect
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/collect*.so*
%{_libdir}/openldap/collect.la
%{_mandir}/man5/slapo-collect.5*

%files overlay-constraint
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/constraint*.so*
%{_libdir}/openldap/constraint.la
%{_mandir}/man5/slapo-constraint.5*

%files overlay-dds
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/dds*.so*
%{_libdir}/openldap/dds.la
%{_mandir}/man5/slapo-dds.5*

%files overlay-deref
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/deref*.so*
%{_libdir}/openldap/deref.la

%files overlay-dyngroup
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/dyngroup*.so*
%{_libdir}/openldap/dyngroup.la
%{_mandir}/man5/slapo-dyngroup.5*

%files overlay-dynlist
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/dynlist*.so*
%{_libdir}/openldap/dynlist.la
%{_mandir}/man5/slapo-dynlist.5*

%files overlay-memberof
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/memberof*.so*
%{_libdir}/openldap/memberof.la
%{_mandir}/man5/slapo-memberof.5*

%files overlay-nssov
%defattr(644,root,root,755)
%doc %{name}-%{version}/contrib/slapd-modules/nssov/README
%attr(755,root,root) %{_libdir}/openldap/nssov*.so*
%{_libdir}/openldap/nssov.la

%files overlay-pcache
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/pcache*.so*
%{_libdir}/openldap/pcache.la
%{_mandir}/man5/slapo-pcache.5*

%files overlay-ppolicy
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/ppolicy*.so*
%{_libdir}/openldap/ppolicy.la
%{_mandir}/man5/slapo-ppolicy.5*

%files overlay-refint
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/refint*.so*
%{_libdir}/openldap/refint.la
%{_mandir}/man5/slapo-refint.5*

%files overlay-retcode
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/retcode*.so*
%{_libdir}/openldap/retcode.la
%{_mandir}/man5/slapo-retcode.5*

%files overlay-rwm
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/rwm*.so*
%{_libdir}/openldap/rwm.la
%{_mandir}/man5/slapo-rwm.5*

%files overlay-smbk5pwd
%defattr(644,root,root,755)
%doc %{name}-%{version}/contrib/slapd-modules/smbk5pwd/README
%attr(755,root,root) %{_libdir}/openldap/smbk5pwd*.so*
%{_libdir}/openldap/smbk5pwd.la

%files overlay-seqmod
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/seqmod*.so*
%{_libdir}/openldap/seqmod.la

%files overlay-syncprov
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/syncprov*.so*
%{_libdir}/openldap/syncprov.la
%{_mandir}/man5/slapo-syncprov.5*

%files overlay-translucent
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/translucent*.so*
%{_libdir}/openldap/translucent.la
%{_mandir}/man5/slapo-translucent.5*

%files overlay-unique
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/unique*.so*
%{_libdir}/openldap/unique.la
%{_mandir}/man5/slapo-unique.5*

%files overlay-valsort
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openldap/valsort*.so*
%{_libdir}/openldap/valsort.la
%{_mandir}/man5/slapo-valsort.5*

%files servers
%defattr(644,root,root,755)
%if %{without system_db}
# not used by slapd directly, but by two different backends (bdb,hdb), so include here
%doc db-%{db_version}/LICENSE
%attr(755,root,root) %{_libdir}/libslapd_db-4.6.so
%endif
%dir %{_sysconfdir}/openldap/schema
%attr(640,root,slapd) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/openldap/slapd.conf
%attr(640,root,slapd) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/openldap/slapd.access.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/openldap/schema/*.schema
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ldap
%attr(754,root,root) /etc/rc.d/init.d/ldap
%attr(770,root,slapd) %{_var}/run/slapd
%dir %attr(770,root,slapd) %{_localstatedir}/openldap-data
%attr(660,root,slapd) %{_localstatedir}/openldap-data/*
%dir %{_datadir}/openldap/schema
%{_datadir}/openldap/schema/*.ldif
%{_datadir}/openldap/schema/*.schema
%dir %{_libdir}/openldap
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man5/slapd.*.5*
%{_mandir}/man5/slapd-config.5*
%{_mandir}/man5/slapd-ldbm.5*
%{_mandir}/man5/slapd-ldif.5*
%{_mandir}/man5/slapd-null.5*
%{_mandir}/man8/slap*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openldap.spec,v $
Revision 1.316  2009/09/12 11:09:55  radek
- release 5: strict DynaLoader dep no longer required

Revision 1.315  2009/09/09 13:45:34  baggins
- rel 4
- fix url list escaping in ldap.init

Revision 1.314  2009/09/07 12:57:35  baggins
- rel 3
- fix printing modify op in autidlog overlay

Revision 1.313  2009/09/03 13:19:11  glen
- revert, ldap.conf.5 describes /etc/openldap/ldap.conf not /etc/ldap.conf

Revision 1.312  2009/09/03 11:42:17  glen
- package ldap.conf manual in same package as /etc/ldap.conf; rel 2

Revision 1.311  2009/07/18 12:48:55  arekm
- up to 2.4.17

Revision 1.310  2009/07/08 14:41:36  baggins
- rel 6

Revision 1.309  2009/07/08 14:20:54  baggins
- rel 5

Revision 1.308  2009/07/08 14:06:22  baggins
- added nssov overlay

Revision 1.307  2009/07/02 13:02:06  baggins
- rel 4

Revision 1.306  2009/07/02 12:32:06  baggins
- reversed heimdal bcond into krb5 bcond

Revision 1.305  2009/06/22 13:49:47  baggins
- rel 2
- update shadowLastChange on password change via smbk5pwd

Revision 1.304  2009/06/17 12:39:58  baggins
- rel 1

Revision 1.303  2009/06/17 12:25:51  baggins
- added heimdal bcond
- -devel requires kerberos devel

Revision 1.302  2009/05/26 12:26:29  baggins
- up to 2.4.16

Revision 1.301  2009/02/26 23:12:17  adamg
- updated to 2.4.15

Revision 1.300  2009/02/14 12:40:48  adamg
- udpated to 2.4.14

Revision 1.299  2008/12/08 21:42:33  qboosh
- package deref overlay

Revision 1.298  2008/12/07 14:48:59  arekm
- up to 2.4.13; setugid solved in another way upstream

Revision 1.297  2008/11/01 19:41:54  qboosh
- one more

Revision 1.296  2008/11/01 18:08:23  qboosh
- fixed logic

Revision 1.295  2008/11/01 16:40:34  arekm
- don't build contrib if no sasl (sasl is used unconditionally there)

Revision 1.294  2008/11/01 15:58:55  arekm
- BR libicu-devel for sasl

Revision 1.293  2008/11/01 15:11:01  arekm
- up to 2.4.12

Revision 1.292  2008/08/25 21:13:15  qboosh
- updated to 2.4.11
- updated ldapc++ patch

Revision 1.291  2008/06/26 10:38:03  glen
- libtool BR for --install arg

Revision 1.290  2008/06/19 11:57:12  hawk
- better way to fix libtool 2.2 issues

Revision 1.289  2008/06/14 20:30:06  arekm
- rel 2

Revision 1.288  2008-06-10 22:03:34  adamg
- updated to 2.4.10

Revision 1.287  2008-05-31 14:00:53  qboosh
- updated to 2.4.9
- added db patch with db 4.7 support

Revision 1.286  2008-05-29 12:47:01  hawk
- fixed build, release 4

Revision 1.285  2008-05-26 20:39:07  hawk
- release 3

Revision 1.284  2008-05-02 00:19:12  areq
- CFLAGS + -D_GNU_SOURCE

Revision 1.283  2008-04-05 11:16:49  qrczak
- libtoolize is enough, no need to rm ltmain.sh.

Revision 1.282  2008-04-05 10:00:23  qrczak
- Fix for a newer libtool.
- Release 2

Revision 1.281  2008-02-27 14:42:36  baggins
- up to 2.4.8
- added socket backend
- fixed .la poisoning

Revision 1.280  2008-02-23 21:57:25  glen
- release 2

Revision 1.279  2008-01-05 14:39:22  qboosh
- such method of including db poisons *.la

Revision 1.278  2007-12-26 21:44:57  zbyniu
- up to 2.4.7

Revision 1.277  2007-11-06 18:09:00  baggins
- rel 3
- don't change openldap lib config file location
- provide proper lib config file (/etc/openldap/ldap.conf)
- add package -nss-config with /etc/ldap.conf for nss_ldap and pam_ldap
- add 'TLSVerifyClient never' to slapd.comf (as per admin guide)

Revision 1.276  2007/11/06 12:47:30  baggins
- rel 2
- fixed internal db build due to openldap using internal/non-public functions

Revision 1.275  2007/11/05 12:46:32  arekm
- BR: groff

Revision 1.274  2007/11/04 15:05:25  areq
- fix --without odbc

Revision 1.273  2007/11/03 11:38:50  baggins
- rel 1

Revision 1.272  2007/11/03 10:58:00  qboosh
- -servers S: -backend-hdb (required by default configuration)

Revision 1.271  2007/11/03 10:30:31  qboosh
- finished exchange and system_db bconds
- removed manual syncprov installation (make install does it already properly,
  manual install syncproc* breaks it)

Revision 1.270  2007/11/03 01:20:52  qboosh
- more system_db

Revision 1.269  2007/11/03 01:15:54  qboosh
- -pie needs gcc 3.4

Revision 1.268  2007/11/03 01:04:32  baggins
- sane defaults in slapd.conf
- attr fix in files

Revision 1.267  2007/11/03 00:54:14  qboosh
- exchange and system_db bconds to allow stopping this all-private madness
- updated pl
- Obsoletes for removed backend and overlays (in -servers)

Revision 1.266  2007/11/02 21:51:44  baggins
- fix lib64 in db install

Revision 1.265  2007/11/02 20:18:04  baggins
- libicu is not really needed (just detected, no linking), so no need for BR
- drop gmp BR, use long long for multiprecision numbers

Revision 1.264  2007/11/02 19:59:02  baggins
- added -pie and -gethostbyXXXX_r patches from FC
- BR: libicu-devel
- fix uber-stupid copy-pasto

Revision 1.263  2007/11/02 16:41:51  baggins
- build private DB to isolate OpenLDAP from any future changes
  to the system-wide Berkeley DB library.
- build evolution-devel package with NTLM hack for evolution-exchange

Revision 1.262  2007/10/31 20:01:37  baggins
- ldbm backend is gone
- denyop and lastmod overlays are gone
- as is slurpd
- build smbk5pwd overlay and ldapc++ library from contrib
- updated BR
- use gmp for multiprecision numbers
- added new overlays - constraint, dds, memberof, seqmod
- cleanup configure args

Revision 1.261  2007/10/31 14:58:51  baggins
- started work on 2.4.6

Revision 1.260  2007/08/28 20:29:50  glen
- rel 2

Revision 1.259  2007/08/05 09:12:13  qboosh
- updated to 2.3.37

Revision 1.258  2007/07/04 16:10:01  qboosh
- added ghost soname symlinks to -libs

Revision 1.257  2007/06/30 20:57:25  arekm
- up to 2.3.36

Revision 1.256  2007/06/03 18:35:55  areq
- 2.3.35

Revision 1.255  2007/05/17 21:39:13  sparky
- rel 2 for updated backend_libs patch - fixes linking of applications
  depending on ldap_r, when --as-needed is used

Revision 1.254  2007/04/01 01:21:58  arekm
- up to 2.3.34

Revision 1.253  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.252  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.251  2007/01/26 23:17:16  arekm
- up to 2.3.33

Revision 1.250  2007/01/13 23:24:36  arekm
- up to 2.3.32

Revision 1.249  2006/12/21 10:13:52  qboosh
- updated to 2.3.31 (fixes CVE-2006-6493)

Revision 1.248  2006/11/15 09:20:31  qboosh
- updated to 2.3.30

Revision 1.247  2006/11/10 11:50:52  qboosh
- updated to 2.3.29 (fixes CVE-2006-5779)
- added CVE refs to 2.3.25 and 2.3.23 update changelogs

Revision 1.246  2006/10/27 17:07:39  qboosh
- updated to 2.3.28

Revision 1.245  2006/08/22 13:24:08  qboosh
- updated to 2.3.27

Revision 1.244  2006/08/16 16:17:49  qboosh
- updated to 2.3.25 [fixes CVE-2006-4600]

Revision 1.243  2006/08/01 08:46:28  glen
- pure chkconfig dep, rel 3

Revision 1.242  2006/07/18 11:32:43  glen
- updated config: add more moduleload directives as packages scripts depend directive being present
- rel 2; STBR Th

Revision 1.241  2006/06/06 10:22:38  qboosh
- updated to 2.3.24
- according to CHANGES slapd-ldif assert problem has been fixed (ITS#4568)

Revision 1.240  2006/06/02 20:56:19  glen
- add blocker: ITS#4503 broke startup

Revision 1.239  2006/05/27 13:58:53  qboosh
- updated to 2.3.23 (fixes slurpd buffer overflow [CVE-2006-2754])

Revision 1.238  2006/05/27 10:31:17  qboosh
- typo

Revision 1.237  2006/05/27 10:30:22  qboosh
- deal with epoll() support in slapd:
  BR: uname(release) >= 2.6, -servers R: uname(release) >= 2.6 + C: kernel24*

Revision 1.236  2006/04/17 14:02:05  qboosh
- updated to 2.3.21, package auditlog overlay

Revision 1.235  2006/04/14 15:25:10  glen
- rel 4

Revision 1.234  2006/03/12 17:54:18  glen
- conditional on %files is sufficent

Revision 1.233  2006/03/02 18:57:37  glen
- --with-ldbm-type is deprecated

Revision 1.232  2006/03/01 19:53:22  glen
- add ldaprc,setugid,nosql patches
- make depend is not jobserver safe
- rel 3

Revision 1.231  2006/03/01 18:46:18  glen
- trim buildroot from versioninfo

Revision 1.230  2006/02/28 11:17:51  glen
- package missing server tools (-install.patch)
- check files cleanup
- rel 2

Revision 1.229  2006/02/19 20:07:43  qboosh
- updated to 2.3.20

Revision 1.228  2006/02/06 17:23:52  glen
- blah, fix once again

Revision 1.227  2006/02/06 16:34:27  glen
- minimizing restarts logics (based on apache.spec)
- rel 2, STBR

Revision 1.226  2006/02/06 16:19:24  glen
- adapterised (killed prereq)

Revision 1.225  2006/02/06 16:10:06  glen
- typos and corrections

Revision 1.224  2006/02/06 15:35:00  glen
- use macros to minimize typos

Revision 1.223  2006/02/06 15:20:31  glen
- prevent upgrades removing modules from config

Revision 1.222  2006/01/29 22:16:54  qboosh
- updated to 2.3.19

Revision 1.221  2006/01/23 22:12:49  qboosh
- updated to 2.3.18

Revision 1.220  2006/01/16 17:35:09  baggins
- release 2

Revision 1.219  2006/01/16 17:22:48  baggins
- updated ldap.conf for current pam_ldap and co.

Revision 1.218  2006/01/16 16:52:58  baggins
- preun/post for overlays

Revision 1.217  2006/01/15 17:19:41  qboosh
- updated to 2.3.17

Revision 1.216  2006/01/10 19:52:31  qboosh
- updated to 2.3.16

Revision 1.215  2005/12/25 15:10:18  qboosh
- updated to 2.3.14

Revision 1.214  2005/12/22 22:06:57  qboosh
- -devel doesn't require db-devel now

Revision 1.213  2005/12/03 19:55:26  qboosh
- updated to 2.3.13

Revision 1.212  2005/11/27 01:20:41  qboosh
- updated to 2.3.12

Revision 1.211  2005/10/13 21:35:28  qboosh
- updated to 2.3.11

Revision 1.210  2005/09/23 21:50:00  pluto
- bump release for rebuild openldap/heimdal/cyrus/postrgesql/cvs loop.

Revision 1.209  2005/09/02 22:20:29  qboosh
- updated to 2.3.7, removed obsolete ac25x patch
- glue overlay have been merged into slapd core
- added -overlay-valsort

Revision 1.208  2005/08/28 13:08:38  wiget
- updated to 2.3.6

Revision 1.207  2005/08/15 15:19:20  qboosh
- updated to 2.3.5, updated make_man_link patch

Revision 1.206  2005/07/23 15:50:34  zbyniu
- now %preuns works; tabs in %posts

Revision 1.205  2005/07/22 06:41:05  qboosh
- separated backend-relay, fixed R(preun)

Revision 1.204  2005/07/21 21:56:39  qboosh
- some pl and cleanups

Revision 1.203  2005/07/20 10:56:29  zbyniu
- dozen new overlays, a little nfy (see TODO)

Revision 1.202  2005/07/20 05:53:28  qboosh
- updated to 2.3.4 (first public openldap 2.3 release; new sonames)
- updated install patch, removed obsolete nolibbind patch
